VariableMapperImpl (Tomcat API Documentation)
Keywords: org.apache.el.lang.VariableMapperImpl class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.el.lang
Class VariableMapperImpl

    java.lang.Object
      javax.el.VariableMapper
          org.apache.el.lang.VariableMapperImpl

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

    public class VariableMapperImpl

extends javax.el.VariableMapper
implements java.io.Externalizable

See Also:
  Serialized Form

Constructor Summary
`VariableMapperImpl()`

Method Summary
`void` | `readExternal(java.io.ObjectInput in)`
`javax.el.ValueExpression` | `resolveVariable(java.lang.String variable)`
`javax.el.ValueExpression` | `setVariable(java.lang.String variable, javax.el.ValueExpression expression)`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableMapperImpl

    public VariableMapperImpl()

Method Detail

### resolveVariable

    public javax.el.ValueExpression resolveVariable(java.lang.String variable)

  Specified by:
    `resolveVariable` in class `javax.el.VariableMapper`

### setVariable

    public javax.el.ValueExpression setVariable(java.lang.String variable,
                                                javax.el.ValueExpression expression)

  Specified by:
    `setVariable` in class `javax.el.VariableMapper`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.